<template>
    <v-form v-model="valid">
        <v-container>
            <v-row>


                <v-col
                        offset-md="4"
                        md="4"
                        cols="12"

                >
                    <v-text-field
                            v-model="userForm.email"
                            :rules="emailRules"
                            label="Adresse mail"
                            required
                    />

                </v-col>
                <v-col
                        offset-md="4"
                        md="4"
                        cols="12"

                >
                    <v-text-field
                            v-model="userForm.password"
                            :rules="passwordRules"
                            label="Mot de passe"
                            type="password"
                            required
                    />

                </v-col>
            </v-row>

            <v-row>
                <v-spacer></v-spacer>
                <v-btn
                        :disabled="!valid"
                        color="primary"
                        class="mr-4"
                        @click="connect()"
                >
                    Se connecter
                </v-btn>
                <v-btn

                        color="accent"
                        class="mr-4"
                        @click="subscribe()"
                >
                    S'inscrire
                </v-btn>
                <v-spacer></v-spacer>
            </v-row>
        </v-container>
    </v-form>
</template>

<script>
    export default {
        name: "Connexion",
        data: () => ({
            valid: false,
            userForm:{

                email:'',
                password:'',
            },
            passwordRules: [
                v => !!v || 'Le mot de passe est nécessaire.',
                v => v.length > 2 || 'Le mot de passe doit faire moins de 2 caractères.',
            ],
            email: '',
            emailRules: [
                v => !!v || 'E-mail est nécessaire.',
                v => /.+@.+/.test(v) || 'L\'E-mail doit être un mail valide.',
            ],
        }),
        methods:{
            connect() {
                fetch('http://localhost:5001/api/users/authenticate', {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json'
                    },
                    body: JSON.stringify({mail: this.userForm.email, password: this.userForm.password})
                })
                    .then((res)=>{ return res.json(); })
                    .then((data)=>{ this.$store.state.user={id:data.id,nom:data.lastname,prenom:data.firstname,email:data.mail,token:data.token}})
            },
            subscribe(){
                //inscription
            }
        }
    }
</script>

<style scoped>

</style>